Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 362781 - net-p2p/amule live ebuild
Summary: net-p2p/amule live ebuild
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal enhancement with 1 vote (vote)
Assignee: Alexander Tsoy
URL: http://www.amule-project.net/
Whiteboard:
Keywords:
: 512938 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-04-09 20:39 UTC by Francisco Lloret
Modified: 2018-10-21 12:45 UTC (History)
9 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild for amule git (amule-9999.ebuild,2.62 KB, text/x-sh)
2011-05-21 16:35 UTC, Raphaël Droz
Details
ebuild for amule git (amule-9999.ebuild,2.44 KB, text/plain)
2011-05-21 17:04 UTC, Raphaël Droz
Details
Build log with USE=plasma (foo.txt,50.73 KB, text/plain)
2011-06-01 08:39 UTC, Jesús Guerrero Botella (RETIRED)
Details
The correct build log with USE=plasma (foo.txt,131.12 KB, text/plain)
2011-06-01 08:52 UTC, Jesús Guerrero Botella (RETIRED)
Details
amule-9999.ebuild (amule-9999.ebuild,2.54 KB, text/plain)
2016-02-06 07:32 UTC, Perfect Gentleman
Details
wxwidgets-gtk3.eclass (wxwidgets-gtk3.eclass,4.53 KB, text/plain)
2016-02-06 07:33 UTC, Perfect Gentleman
Details
amule-9999.ebuild (amule-9999.ebuild,2.23 KB, text/plain)
2016-04-09 09:02 UTC, Perfect Gentleman
Details
amule-9999.ebuild (amule-9999.ebuild,2.37 KB, text/plain)
2016-05-04 08:11 UTC, Perfect Gentleman
Details
amule-9999.ebuild (amule-9999.ebuild,2.29 KB, text/plain)
2016-05-05 09:06 UTC, Perfect Gentleman
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Francisco Lloret 2011-04-09 20:39:47 UTC
aMule 2.3.1-RC1 version available in aMule website. Please add it to portage.
Comment 1 Raphaël Droz 2011-05-21 16:35:28 UTC
Created attachment 274207 [details]
ebuild for amule git

Attached is an ebuild for git.
- updated to >=x11-libs/wxGTK-2.8.12 (which is ~arch)
- added some use flags for configure options: fileview, mmap, plasma, xchat
- _real_ use the upnp flag
- set some defaults to use flags
- removed the deprecated --with-wxbase-config configure option
Comment 2 Raphaël Droz 2011-05-21 17:04:30 UTC
Created attachment 274213 [details]
ebuild for amule git

This ebuild:
- completes the fix for #254758
("+gtk" and "additional calls to eerror")
- need-wxwidgets "base-unicode" instead of "base"
(http://devmanual.gentoo.org/eclass-reference/wxwidgets.eclass/index.html)
- the EAPI is now quoted
- replace an error with
REQUIRED_USE="|| ( gtk remote daemon )"

I didn't make the modification expected in #258479 neither I dug #146693
Comment 3 Jesús Guerrero Botella (RETIRED) gentoo-dev 2011-06-01 08:39:23 UTC
Created attachment 275435 [details]
Build log with USE=plasma

It fails to build with USE=plasma. The problem happens on the Install phase, when updating the mime types.
Comment 4 Jesús Guerrero Botella (RETIRED) gentoo-dev 2011-06-01 08:52:55 UTC
Created attachment 275437 [details]
The correct build log with USE=plasma

Sorry, this one is the correct log.
Comment 5 Raphaël Droz 2011-06-18 11:30:34 UTC
"/usr/bin/update-mime-database: I don't have write permission on /usr/share/mime. Try rerunning me as root."
So.... I guess you should try ebuild as root.

I should say I don't use kde (I didn't test +plasma).
I added this kde related use-flags mostly to lighten non-kde builds :)
Comment 6 Raúl Porcel (RETIRED) gentoo-dev 2011-12-06 18:41:20 UTC
2.3.1 in the tree, i'm renaming this bug as amule-9999 ebuild
Comment 7 Pacho Ramos gentoo-dev 2014-09-27 13:22:53 UTC
*** Bug 512938 has been marked as a duplicate of this bug. ***
Comment 8 Perfect Gentleman 2016-01-28 03:34:51 UTC
i can maintain live version as I use it.
Comment 9 Pacho Ramos gentoo-dev 2016-01-30 18:17:58 UTC
Do you want to proxy maintain this? Please take care it looks to have many pending opened bugs and a mostly dead upstream :S
Comment 10 Perfect Gentleman 2016-01-31 06:15:30 UTC
(In reply to Pacho Ramos from comment #9)
> Do you want to proxy maintain this? Please take care it looks to have many
> pending opened bugs and a mostly dead upstream :S

I don't mind, but only live version as latest release was long time ago.
I'll re-write ebuild for amule-9999 and post here.
Comment 11 Pacho Ramos gentoo-dev 2016-01-31 10:37:01 UTC
Is the live version usable enough? Have you think in taking a snapshot of that live version and try to make it replace the current (broken) old versions? Personally, I was thinking that even amule should be treecleaned entirely as that versions have multiple bugs that won't be fixed ever, also, is live version finally able to use wxGTK:3.0?
Comment 12 Perfect Gentleman 2016-01-31 13:11:20 UTC
(In reply to Pacho Ramos from comment #11)
> Is the live version usable enough? Have you think in taking a snapshot of
> that live version and try to make it replace the current (broken) old
> versions? Personally, I was thinking that even amule should be treecleaned
> entirely as that versions have multiple bugs that won't be fixed ever, also,
> is live version finally able to use wxGTK:3.0?

Yes, it's usable, I've been using it for 2 years. I've not thought about snapshots. No bugs ever. I use it with wxGTK:3.0 built with wxwidgets-gtk3.
Comment 13 Pacho Ramos gentoo-dev 2016-01-31 13:59:55 UTC
Then, I guess the idea would be to take a snapshot from a time you know amule works and provide and ebuild for it and, if you want, another one for the live ebuild. That will let us to point people to a "fixed" version (snapshot) that we know to be ok while keeping the live ebuild for people wanting to test latest commits
Comment 14 Ian Delaney (RETIRED) gentoo-dev 2016-02-05 08:15:12 UTC
Perfect Gentleman if you want, to do this, declare your wish to be made a proxy / proxied maintainer and present en ebuild utilising the snapshot.
Comment 15 Perfect Gentleman 2016-02-06 07:32:37 UTC
Created attachment 424706 [details]
amule-9999.ebuild
Comment 16 Perfect Gentleman 2016-02-06 07:33:19 UTC
Created attachment 424708 [details]
wxwidgets-gtk3.eclass
Comment 17 Ian Delaney (RETIRED) gentoo-dev 2016-03-22 10:10:01 UTC
(In reply to Perfect Gentleman from comment #16)
> Created attachment 424708 [details]
> wxwidgets-gtk3.eclass

This leaves me rather dumbfounded.  AN eclass has the most rigorous processes to pass before being accepted via Council. I do not know what to even do with this. other than to say to follow the dev manual and attmept to submit in via the usual processes.
Comment 18 Sam Jorna (wraeth) gentoo-dev 2016-03-22 10:12:15 UTC
For reference, you can find information about getting eclasses added to the Gentoo portage repository here: https://devmanual.gentoo.org/eclass-writing/index.html
Comment 19 Pacho Ramos gentoo-dev 2016-04-03 08:16:55 UTC
For adding support for gtk3 wxGTK please go to bug #491310
Comment 20 Perfect Gentleman 2016-04-09 09:02:51 UTC
Created attachment 429982 [details]
amule-9999.ebuild

amule-9999.ebuild modified to be synced with upstream portage
Comment 21 Perfect Gentleman 2016-05-04 08:11:38 UTC
Created attachment 433192 [details]
amule-9999.ebuild

new ebuild using eclass from portage
Comment 22 Perfect Gentleman 2016-05-05 09:06:35 UTC
Created attachment 433276 [details]
amule-9999.ebuild
Comment 23 Pacho Ramos gentoo-dev 2016-05-23 08:34:48 UTC
(In reply to Perfect Gentleman from comment #22)
> Created attachment 433276 [details]
> amule-9999.ebuild

Only a few notes:
- You can set a WX_GTK_VER variable at the top of ebuild, behind EAPI for example, to set it to 3.0-gtk3 and, then, not need to repeat it other times in the ebuild (and also ensure all instances are always in sync)
- I would say EGIT_REPO_URI should go before inherit line :/
- If unicode is only relevant when remote is enabled, maybe this could be indented for better reading/understanding of the dep:
	remote? ( >=media-libs/libpng-1.2.0:0=
	unicode? ( >=media-libs/gd-2.0.26:= ) )
- If you can add a commented line in src_prepare for explaining the changes done with those seds it would be nice to allow other people in the far future to know about them and report the changes to upstream if needed
- Apart of that, once it's ready, it would be nice to get a snapshot ebuild too for trying to push people still using the obsolete/unmaintained 2.3.1 version to that one. The migration to a snapshot known to work would be much better than try to make them migrate to a live ebuild that can "break" at any time because of upstream changes

Thanks a lot
Comment 24 Pacho Ramos gentoo-dev 2018-10-21 12:45:18 UTC
amule was fixed long time ago